package com.ramos.munoz.tesis;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.RadioGroup;

public class BuscarEstacionamientoActivity extends Activity {

    private CheckBox chkDisponibilidad;
    private EditText editTxtNombre;
    private EditText editTxtServicio;
    private Button btnBuscar;
    private RadioButton rbCercania;
    private RadioButton rbPrecio;
    private RadioButton rbValoracion;
    private RadioGroup rgOpciones;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
	setContentView(R.layout.buscar_estacionamiento_activity);
	inicializarComonentes();
    }

    private void inicializarComonentes() {
	rgOpciones = (RadioGroup) findViewById(R.id.rgOrdenBuscar);
	rbPrecio = (RadioButton) findViewById(R.id.rbPrecio);
	rbValoracion = (RadioButton) findViewById(R.id.rbValoracion);
	chkDisponibilidad = (CheckBox) findViewById(R.id.chkDisponibilidad);
	rbCercania = (RadioButton) findViewById(R.id.rbCercania);
	editTxtNombre = (EditText) findViewById(R.id.editTxtNombreEstacionamiento);
	editTxtServicio = (EditText) findViewById(R.id.editTxtServicio);
	btnBuscar = (Button) findViewById(R.id.btnBuscarEstacionamiento);
	btnBuscar.setOnClickListener(new OnClickListener() {

	    public void onClick(View v) {

		int precio = (rbPrecio.isChecked()) ? 1 : 0;
		int valoracion = (rbValoracion.isChecked()) ? 1 : 0;
		int cercania = (rbCercania.isChecked()) ? 1 : 0;
		int disponibilidad = (chkDisponibilidad.isChecked()) ? 1 : 0;
		String servicio = (!editTxtServicio.getText().toString().equals(null)) ? editTxtServicio.getText().toString() : "";
		String nombre = (!editTxtNombre.getText().toString().equals(null)) ? editTxtNombre.getText().toString() : "";
		Intent buscar = new Intent(BuscarEstacionamientoActivity.this, BuscarEstacionamientoResultadoActivity.class);

		buscar.putExtra("precio", precio);
		buscar.putExtra("nombre", nombre);
		buscar.putExtra("servicio", servicio);
		buscar.putExtra("disponibilidad", disponibilidad);
		buscar.putExtra("valoracion", valoracion);
		buscar.putExtra("cercania", cercania);
		startActivity(buscar);
		finish();

	    }
	});
    }

}
